/* The Cookies Info style. */

@keyframes fade-in-cookie {
    from {
        opacity: 0;
        transform: translateY(160px);
    }

    to {
        opacity: 1;
        transform: translateY(0);
    }
}

#cookies-message {
    display: flex;
    flex-direction: row;
    justify-content: center;
    align-items: center;
    gap: 2rem;
    width: 100%;
    font-size: 16px;
    font-weight: 400;
    position: fixed;
    bottom: 0;
    left: 0;
    background-color: var(--wp--preset--color--contrast);
    color: var(--wp--preset--color--base);
    font-size: 0.875rem;
    line-height: 1.6;
    padding: 2rem;
    animation: fade-in-cookie ease 1s forwards;
    -webkit-box-shadow: 0rem 0.75rem 1rem rgba(0, 0, 0, 0.15);
    -moz-box-shadow: 0rem 0.75rem 1rem rgba(0, 0, 0, 0.15);
    box-shadow: 0rem 0.75rem 1rem rgba(0, 0, 0, 0.15);
    z-index: 999;
}

.cookies-text {
    max-width: 700px;
}

.cookies-info,
.cookies-link {
    float: left;
    padding: 0 2rem;
    line-height: 60px;
}

#cookies-message a {
    color: var(--wp--preset--color--accent-1);
    font-size: 0.875rem;
    font-weight: 700;
    text-decoration: none;
}

#cookies-message a:hover {
    color: var(--wp--preset--color--accent-2);
    color: color-mix(in srgb, var(--wp--preset--color--accent-1) 85%, transparent);
    text-decoration: underline;
}

a#accept-cookies-checkbox {
    display: inline-block;
    padding: 1rem 2.25rem;
    background: var(--wp--preset--color--accent-1);
    color: var(--wp--preset--color--base);
    font-size: 14px;
    text-align: center;
    text-decoration: none;
    letter-spacing: 1px;
    box-shadow: none !important;
}

a#accept-cookies-checkbox:hover {
    background: var(--wp--preset--color--accent-1);
    background: color-mix(in srgb, var(--wp--preset--color--accent-1) 85%, transparent);
    color: var(--wp--preset--color--base);
    text-decoration: none;
}

@media screen and (max-width: 600px) {
    #cookies-message {
        text-align: center;
        flex-direction: column;
    }
}
